After Plesk update Apache fails – can’t get fastcgi file info: dynamic, errno: 2

It seems the Plesk updater when used from the interface can be a bit of a shitter.

Updating from 9.2.2 to 9.2.3 all my sites on the server went down. No biggie, I’ll just restart Apache.

Starting http: Syntax error on line 59 of /var/www/vhosts/{domain}/conf/httpd.include:can't get fastcgi file info: dynamic, errno: 2[FAILED]

Oh awesome…

Luckily some research revealed that the problem lies in /etc/psa/psa.conf where the php-cgi location gets changed to ‘dynamic’

So, to fix it edit /etc/psa/psa.conf and search for the line

CGI_PHP_BIN dynamic

and replace ‘dynamic’ with the location of php-cgi for your OS flavour.

Examples (CHECK before using!)
CentOS 5: /usr/bin/php-cgi
Suse 10.3: /usr/bin/php-cgi5
Debian: /usr/bin/php5-cgi

So, for my server which is CentOS 5:
CGI_PHP_BIN /usr/bin/php-cgi
then rebuild config and restart Apache:
# /usr/local/psa/admin/sbin/websrvmng -v -a# service httpd restartStarting httpd:                                       [ OK ]#

Source: http://forum.parallels.com/showthread.php?t=89939

Leave a Reply

Your email address will not be published. Required fields are marked *